> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Find retweets of a tweet.



## OpenAPI

````yaml /openapi/tw.json post /x/retweets
openapi: 3.0.0
info:
  title: Twitter information
  version: 1.0.0
  description: API reference for Twitter information on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /x/retweets:
    post:
      summary: Find retweets of a tweet.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: X Retweets Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - keyword
              properties:
                cursor:
                  type: string
                  description: X Retweets Cursor
                post_id:
                  type: string
                  example: '1894625520991547884'
                  description: X Retweets Post Id
            example:
              post_id: '1894625520991547884'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  result: 904
                  next_cursor: 602
                properties:
                  result:
                    type: object
                    description: X Retweets Response 200 Result
                  next_cursor:
                    type: string
                    description: X Retweets Response 200 Next Cursor
          description: X Retweets Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: X Retweets Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: X Retweets Response 400 Error Message
                      trace_id:
                        type: string
                        description: X Retweets Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: X Retweets Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: X Retweets Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: X Retweets Response 400 Trace Id 2
          description: X Retweets Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: X Retweets Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: X Retweets Response 401 Error Message
                      trace_id:
                        type: string
                        description: X Retweets Response 401 Trace Id
          description: X Retweets Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: X Retweets Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: X Retweets Response 429 Error Message
                      trace_id:
                        type: string
                        description: X Retweets Response 429 Trace Id
          description: X Retweets Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: X Retweets Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: X Retweets Response 500 Error Message
                      trace_id:
                        type: string
                        description: X Retweets Response 500 Trace Id
          description: X Retweets Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````